
import 'package:flutter/material.dart';
import 'package:ytx_ui/ytx_ui.dart';

enum ENV {
  PROD,
  PRE_PROD,
  DEV,
}

class Application {
  static ENV env = ENV.DEV;
  static Application _instance;

  Application._();
  factory Application() {
    if (_instance == null) {
      _instance = Application._();
    }
    return _instance;
  }

  void init() {
    ProgressContentHelper().setWidgetProxy(() => ApplicationProgressContentWidgetProxy());
  }
}

class ApplicationProgressContentWidgetProxy extends DefaultProgressContentWidgetProxy {

  List<String> _loadingImages = [
    "assets/images/ic_loading_v2_1.png",
    "assets/images/ic_loading_v2_2.png",
    "assets/images/ic_loading_v2_3.png",
    "assets/images/ic_loading_v2_4.png",
    "assets/images/ic_loading_v2_5.png",
    "assets/images/ic_loading_v2_6.png",
    "assets/images/ic_loading_v2_7.png",
    "assets/images/ic_loading_v2_8.png",
    "assets/images/ic_loading_v2_9.png",
    "assets/images/ic_loading_v2_10.png",
    "assets/images/ic_loading_v2_11.png",
    "assets/images/ic_loading_v2_12.png"
  ];

  @override
  Widget createProgressWidget(ProgressContentState state) {
    print("==ApplicationProgressContentWidgetProxy: createProgressWidget");
    return Center(
      child: FrameImage(
        images: _loadingImages,
        width: 20,
        height: 20,
      ),
    );
  }
}
