import 'package:flutter/material.dart';
import 'package:ytx_ui/ytx_ui.dart';

class FrameImagePage extends StatefulWidget {
  @override
  _FrameImagePageState createState() => _FrameImagePageState();
}

class _FrameImagePageState extends State<FrameImagePage> {
  GlobalKey<FrameImageState> _frameImage = GlobalKey();
  List<String> _images = [
    "assets/images/ic_droploading_00.png",
    "assets/images/ic_droploading_01.png",
    "assets/images/ic_droploading_02.png",
    "assets/images/ic_droploading_03.png",
    "assets/images/ic_droploading_04.png",
    "assets/images/ic_droploading_05.png",
    "assets/images/ic_droploading_06.png",
    "assets/images/ic_droploading_07.png",
    "assets/images/ic_droploading_08.png",
    "assets/images/ic_droploading_09.png",
    "assets/images/ic_droploading_10.png",
    "assets/images/ic_droploading_11.png",
    "assets/images/ic_droploading_12.png",
    "assets/images/ic_droploading_13.png",
    "assets/images/ic_droploading_14.png",
    "assets/images/ic_droploading_15.png"
  ];
  List<String> _images2 = [
    "assets/images/ic_loading_v2_1.png",
    "assets/images/ic_loading_v2_2.png",
    "assets/images/ic_loading_v2_3.png",
    "assets/images/ic_loading_v2_4.png",
    "assets/images/ic_loading_v2_5.png",
    "assets/images/ic_loading_v2_6.png",
    "assets/images/ic_loading_v2_7.png",
    "assets/images/ic_loading_v2_8.png",
    "assets/images/ic_loading_v2_9.png",
    "assets/images/ic_loading_v2_10.png",
    "assets/images/ic_loading_v2_11.png",
    "assets/images/ic_loading_v2_12.png"
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("FrameImagePage Demo"),
      ),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.start,
            children: [
              FlatButton(
                child: Text("动画一"),
                onPressed: () {
                  _frameImage.currentState.setImages(_images);
                  _frameImage.currentState.startAnimation();
                },
              ),
              FlatButton(
                child: Text("动画二"),
                onPressed: () {
                  _frameImage.currentState.setImages(_images2);
                  _frameImage.currentState.startAnimation();
                },
              ),
            ],
          ),
          Expanded(
            child: Center(
              child: FrameImage(
                key: _frameImage,
                images: [],
                width: 48,
                height: 48,
                autoStart: false,
              ),
            ),
          ),
        ],
      ),
      floatingActionButton: FloatingActionButton(
        onPressed: () {
          if (_frameImage.currentState.isRunning) {
            _frameImage.currentState.stopAnimation();
          } else {
            _frameImage.currentState.startAnimation();
          }
        },
        child: Text("+"),
      ),
    );
  }
}
