import 'package:flutter/material.dart';
import 'package:ytx_ui/ytx_ui.dart';

class ProgressContentPage extends StatefulWidget {
  @override
  _ProgressContentPageState createState() => _ProgressContentPageState();
}

class _ProgressContentPageState extends State<ProgressContentPage> {
  GlobalKey<ProgressContentState> _progressContent = new GlobalKey();

  @override
  Widget build(BuildContext context) {
    print("===build ProgressContentPage");
    return Scaffold(
      appBar: AppBar(
        title: Text("ProgressContentPage Demo"),
      ),
      body: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Container(
//            color: Colors.blueAccent,
            child: Wrap(
              alignment: WrapAlignment.start,
              runAlignment: WrapAlignment.start,
              crossAxisAlignment: WrapCrossAlignment.start,
              spacing: 0,
              children: [
                FlatButton(
                  child: Text("show loading"),
                  onPressed: () {
                    _progressContent.currentState.showProgress();
                  },
                ),
                FlatButton(
                  child: Text("show error"),
                  onPressed: () {
                    _progressContent.currentState.showError();
                  },
                ),
                FlatButton(
                  child: Text("show empty"),
                  onPressed: () {
                    _progressContent.currentState.showEmpty();
                  },
                ),
                FlatButton(
                  child: Text("show content"),
                  onPressed: () {
                    _progressContent.currentState.showContent();
                  },
                ),
              ],
            ),
          ),
          Expanded(
            child: ProgressContent(
              key: _progressContent,
              firstShowLoading: false,
              child: Center(
                child: Text(
                    "床前明月光，\n疑是地上霜。\n举头望明月，\n低头思故乡。",
                  style: TextStyle(
                    color: Colors.lime,
                    fontSize: 20,
                  ),
                ),
              ),
              errorClick: (state) {
                state.showProgress();
              },
              emptyClick: (state) {
                state.showProgress();
              },
            ),
          ),
        ],
      ),
    );
  }
}
